# rabbitmq_plugin – Manage RabbitMQ plugins

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to enable or disable RabbitMQ plugins.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
names - / required |  | Comma-separated list of plugin names. Also, accepts plugin name. aliases: name

new_only
boolean

Choices:
- no ←
- yes

Only enable missing plugins.
Does not disable plugins that are not in the names list.

prefix - |  | Specify a custom install prefix to a Rabbit.

state
-

Choices:
- enabled ←
- disabled

Specify if plugins are to be enabled or disabled.

## Examples

    - name: Enables the rabbitmq_management plugin
      rabbitmq_plugin:
        names: rabbitmq_management
        state: enabled

    - name: Enable multiple rabbitmq plugins
      rabbitmq_plugin:
        names: rabbitmq_management,rabbitmq_management_visualiser
        state: enabled

    - name: Disable plugin
      rabbitmq_plugin:
        names: rabbitmq_management
        state: disabled

    - name: Enable every plugin in list with existing plugins
      rabbitmq_plugin:
        names: rabbitmq_management,rabbitmq_management_visualiser,rabbitmq_shovel,rabbitmq_shovel_management
        state: enabled
        new_only: 'yes'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
disabled list | always | list of plugins disabled during task run Sample: ['rabbitmq_management']
enabled list | always | list of plugins enabled during task run Sample: ['rabbitmq_management']

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Chris Hoffman (@chrishoffman)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.